<?php
namespace Teknisa\MAN\Services;

use Teknisa\MAN\Factories\CustomizacaoVendaRepository;

class CustomizacaoVendaService {

    /**
     * @var CustomizacaoVendaRepository
     */
    protected $customizacaoVendaService;

    public function __construct(CustomizacaoVendaRepository $customizacaoVendaRepository) {
        $this->customizacaoVendaRepository = $customizacaoVendaRepository;
    }

    /**
     * @return int
     */
    public function getNextId() {
        $idRow = $this->customizacaoVendaRepository->getMaxId();
        $id = $idRow[0]['MAX_ID'];
        return !is_null($id) ? ++$id : 1;
    }

    public function getNextVendaId() {
        $idRow = $this->customizacaoVendaRepository->getMaxVendaId();
        $id = $idRow[0]['MAX_ID'];
        return !is_null($id) ? ++$id : 1;
    }
} 